
set odessa=%cd%

set action=
set compiler=gcc
set computer=win32
set debug=
set a1=
set a2=
set arg=

:begarg

if "%1" == ""       goto endarg
if "%1" == "-make"  goto makeflag
if "%1" == "-run"   goto runflag 
if "%1" == "-makebuilder"  goto makebuilderflag
if "%1" == "-intel" goto intelflag
if "%1" == "-gcc"   goto gccflag
if "%1" == "-g95"   goto g95flag
if "%1"  == "-g"     goto debugflag
if %a1% == ""       goto firstarg
if %a2% == ""       goto secondarg

set arg=%arg% %1

goto begarg

:makeflag
set action=make
shift
goto begarg

:makebuilderflag
set action=makebuilder
shift
goto begarg

:runflag
shift
set code=%1
shift
goto begarg

:intelflag
shift
set compiler=intel
goto begarg

:gccflag
shift
set compiler=gcc
goto begarg

:g95flag
shift
set compiler=g95
goto begarg

:debugflag
shift
set debug=-g
goto begarg

:firstarg
set a1=%1
set arg=%arg% %1
shift
goto begarg

:secondarg
set a2=%1
set arg=%arg% %1
shift
goto begarg

:runflag
shift
set action=run
set code=%1
goto begarg

:endarg

if "%action%" == "make" goto make
if "%action%" == "makebuilder" goto makebuilder
if "%action%" == "run"  goto run

goto erroraction

:run

if "%code%" == "psgroup" goto psgroup
if "%code%" == "builder" goto builder
if "%code%" == "tic"     goto tic
if "%code%" == "analys"  goto analys
if "%code%" == "post"    goto post
if "%code%" == "base"    goto base
if "%code%" == "edit"    goto edit

goto errorcode

:make

: installing the builder first
cd %odessa%
if not exist bin mkdir bin
if not exist bin\%computer% mkdir bin\%computer%
if exist bin\%computer%\builder.exe goto endbuilder
cd bin\%computer%
make -f ..\..\src\makefile.windows
make -f ..\..\tools\builder\makefile.windows
cd ..\..
:endbuilder

: running the true installation
"%odessa%\bin\%computer%\builder.exe" -v -f "%odessa%\dat\odessa.cfg" %compiler%%debug%
goto end

:makebuilder

cd %odessa%
if not exist bin mkdir bin
if not exist bin\%computer% mkdir bin\%computer%
cd bin\%computer%
make -f ..\..\src\makefile.windows
make -f ..\..\tools\builder\makefile.windows
cd ..\..

goto end

:builder

%odessa%\bin\%computer%\builder -f %arg% %compiler%%debug%
goto end

:psgroup
call %odessa%\proc\psgroup
goto end

:tic
if "%a1%" == "" goto tic0
if "%a2%" == "" goto tic1
goto tic2

:tic0
%odessa%\bin\%computer%-%compiler%%debug%\tic.exe
goto end

:tic1
%odessa%\bin\%computer%-%compiler%%debug% < %a1%
goto end

:tic2
%odessa%\bin\%computer%-%compiler%%debug% < %a1% > %a2%
goto end

:psgroup
goto end

:base
goto end

:edit
goto end

:analys
goto end

:erroraction
echo invalid command
goto end

:errorcode
echo invalid code %code%
goto end

:errorroot
echo impossible to locate the odessa root directory
goto end

:end
