#!/bin/csh -f
#------------------------------------------------
if( ! -d $bin) mkdir $bin

set header=$computer-$namecompiler$option
echo "header ->" $header
pwd
echo $odmp   $bin
# verify header
if ( -f $bin/header ) rm -f $bin/header* Makefile
  if (`grep -c "_${header}_" $odmp/param.$computer`) then
    if ( -f $bin/header.origin ) rm -f $bin/header.origin
    sed -n "/begin _${header}_/,/end _${header}_/p" $odmp/param.$computer >!  $bin/header
  else
     echo parameter for $header compiler not defined on  $computer computer
     exit 1
  endif

setenv FC `grep "compiler=" $bin/header |  cut -d= -f2`
if ( -d $root/../../JAPI/bin/$header ) then
  echo "JAPIBIN =../../../../JAPI/bin/$header" >> $bin/header
else if ( -d $root/../../JAPI/bin/$computer-$FC ) then
   echo "JAPIBIN =../../../../JAPI/bin/$computer-$FC" >> $bin/header
else
   echo "JAPIBIN = "  >> $bin/header
endif

setenv pathinc `grep "pathinc=" $bin/header |  cut -d= -f2`
setenv pathmod `grep "pathmod=" $bin/header |  cut -d= -f2`
setenv ar      `grep "AR="      $bin/header |  cut -d= -f2`

setenv modsuffix `grep "modsuffix=" $bin/header |  cut -d= -f2`
setenv objsuffix `grep "objsuffix=" $bin/header |  cut -d= -f2`
setenv forsuffix `grep "forsuffix=" $bin/header |  cut -d= -f2`
setenv libsuffix `grep "libsuffix=" $bin/header |  cut -d= -f2`
